## net.i2p.router.web
Class RouterConsoleRunner

    java.lang.Object
      net.i2p.router.web.RouterConsoleRunner

    public class RouterConsoleRunner

extends Object

Nested Class Summary
`(package private) static class` `RouterConsoleRunner.WarFilenameFilter`

Field Summary
`static String` `ENABLED`
`static String` `PREFIX`
`static String` `ROUTERCONSOLE`

Constructor Summary

`RouterConsoleRunner(String[] args)`
non-SSL: RouterConsoleRunner RouterConsoleRunner 7657 RouterConsoleRunner 7657 127.0.0.1 RouterConsoleRunner 7657 127.0.0.1,::1 RouterConsoleRunner 7657 127.0.0.1,::1 ./webapps/ SSL: RouterConsoleRunner -s 7657 RouterConsoleRunner -s 7657 127.0.0.1 RouterConsoleRunner -s 7657 127.0.0.1,::1 RouterConsoleRunner -s 7657 127.0.0.1,::1 ./webapps/ If using both, non-SSL must be first: RouterConsoleRunner 7657 127.0.0.1 -s 7667 RouterConsoleRunner 7657 127.0.0.1 -s 7667 127.0.0.1 RouterConsoleRunner 7657 127.0.0.1,::1 -s 7667 127.0.0.1,::1 RouterConsoleRunner 7657 127.0.0.1,::1 -s 7667 127.0.0.1,::1 ./webapps/

Method Summary
`(package private) static String` `getPassword()`
`(package private) static void` `initialize(WebApplicationContext context)`
`static void` `main(String[] args)`
`void` `startConsole()`
`static void` `storeWebAppProperties(Properties props)`
`static Properties` `webAppProperties()` public void stopConsole() { try { _server.stop(); } catch (InterruptedException ie) { ie.printStackTrace(); } }
`static Properties` `webAppProperties(String dir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROUTERCONSOLE

    public static final String ROUTERCONSOLE

See Also:
  Constant Field Values

### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

### ENABLED

    public static final String ENABLED

See Also:
  Constant Field Values

Constructor Detail

### RouterConsoleRunner

    public RouterConsoleRunner(String[] args)

        non-SSL:
        RouterConsoleRunner
        RouterConsoleRunner 7657
        RouterConsoleRunner 7657 127.0.0.1
        RouterConsoleRunner 7657 127.0.0.1,::1
        RouterConsoleRunner 7657 127.0.0.1,::1 ./webapps/

        SSL:
        RouterConsoleRunner -s 7657
        RouterConsoleRunner -s 7657 127.0.0.1
        RouterConsoleRunner -s 7657 127.0.0.1,::1
        RouterConsoleRunner -s 7657 127.0.0.1,::1 ./webapps/

        If using both, non-SSL must be first:
        RouterConsoleRunner 7657 127.0.0.1 -s 7667
        RouterConsoleRunner 7657 127.0.0.1 -s 7667 127.0.0.1
        RouterConsoleRunner 7657 127.0.0.1,::1 -s 7667 127.0.0.1,::1
        RouterConsoleRunner 7657 127.0.0.1,::1 -s 7667 127.0.0.1,::1 ./webapps/

  Parameters:
    `args` - second arg may be a comma-separated list of bind addresses, for example ::1,127.0.0.1 On XP, the other order (127.0.0.1,::1) fails the IPV6 bind, because 127.0.0.1 will bind ::1 also. But even though it's bound to both, we can't connect to [::1]:7657 for some reason. So the wise choice is ::1,127.0.0.1

Method Detail

### main

    public static void main(String[] args)

### startConsole

    public void startConsole()

### initialize

    static void initialize(WebApplicationContext context)

### getPassword

    static String getPassword()

### webAppProperties

    public static Properties webAppProperties()

  public void stopConsole() { try { _server.stop(); } catch (InterruptedException ie) { ie.printStackTrace(); } }

### webAppProperties

    public static Properties webAppProperties(String dir)

### storeWebAppProperties

    public static void storeWebAppProperties(Properties props)